const DahuaCameraController = require('../controllers/DahuaCameraController');
module.exports = (app) => {
   app.get('/mihelper/dahua/cameralink/:id', DahuaCameraController.getLinkById);
   app.get('/mihelper/dahua/camera/:id', DahuaCameraController.getById);
   app.get('/mihelper/dahua/cameraCntrl/:id/:key', DahuaCameraController.getByControl);
   app.get('/mihelper/dahua/cameraStopCntrl/:id/:key', DahuaCameraController.getStopControl);
   app.get('/mihelper/map', DahuaCameraController.getMapUrl);
   app.get('/mihelper/devices', DahuaCameraController.getDevices);
   app.get('/mihelper/devicesStatus', DahuaCameraController.getDevicesStatus);
   app.get('/mihelper/fusion', DahuaCameraController.getFusionUrl);
   app.get('/mihelper/fusion/:id', DahuaCameraController.getFusionUrlById);
   app.get('/mihelper/scroller/:id', DahuaCameraController.getScrollerUrlById);
   app.get('/mihelper/playback/:id/:startTime/:endTime', DahuaCameraController.getPlayback);
   app.post('/mihelper/newIncidente', DahuaCameraController.getNewIncidente);
}
